org.apache.ode.ql.jcc

## Class Parser

- java.lang.Object
- - org.apache.ode.ql.jcc.Parser

- All Implemented Interfaces:
    QLParserConstants, QLParserTreeConstants

      public class Parser
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Token` | `jj_nt`
    `protected org.apache.ode.ql.jcc.JJTQLParserState` | `jjtree`
    `Token` | `token`
    `QLParserTokenManager` | `token_source`

    - ### Fields inherited from interface org.apache.ode.ql.jcc.QLParserTreeConstants

      `JJTAND, JJTEQUAL, JJTFIELD, JJTGE, JJTGREATER, JJTIN, JJTINVALUES, JJTLE, JJTLESS, JJTLIKE, JJTLIMIT, jjtNodeName, JJTOR, JJTORDERBY, JJTORDERBYFIELD, JJTORDERTYPE, JJTPROPERTY, JJTSTART, JJTVALUE, JJTVOID`

    - ### Fields inherited from interface org.apache.ode.ql.jcc.QLParserConstants

      `AND, DEFAULT, DIGIT, EOF, EQUAL, FIELD, GE, GREATER, IN, LE, LESS, LETTER, LIKE, LIMIT, NAMESPACE, NUMBER, OR, ORDER_BY, ORDER_TYPE, PARAMETER_CHAR, PROPERTY, QNAME_NAME, SPEC_CHAR, tokenImage, VALUE, WHITESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser(java.lang.String query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ANDExpression()`
    `void` | `CompareExpression()`
    `void` | `disable_tracing()`
    `void` | `enable_tracing()`
    `void` | `Equal()`
    `void` | `Field()`
    `void` | `GEExpression()`
    `ParseException` | `generateParseException()`
    `Token` | `getNextToken()`
    `Token` | `getToken(int index)`
    `void` | `GreaterExpression()`
    `void` | `Identifier()`
    `void` | `InExpression()`
    `void` | `InValuesExpression()`
    `void` | `LEExpression()`
    `void` | `LessExpression()`
    `void` | `Like()`
    `void` | `Limit()`
    `void` | `LogicExpression()`
    `void` | `OrderByExpression()`
    `void` | `OrderByField()`
    `void` | `OrderType()`
    `void` | `ORExpression()`
    `void` | `Property()`
    `void` | `Query()`
    `void` | `ReInit(java.io.InputStream stream)`
    `void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
    `void` | `ReInit(QLParserTokenManager tm)`
    `void` | `ReInit(java.io.Reader stream)`
    `ASTStart` | `start()`
    `void` | `Value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jjtree

          protected org.apache.ode.ql.jcc.JJTQLParserState jjtree

    - #### token_source

          public QLParserTokenManager token_source

    - #### token

          public Token token

    - #### jj_nt

          public Token jj_nt

  - ### Constructor Detail

    - #### Parser

          public Parser(java.lang.String query)

  - ### Method Detail

    - #### start

          public final ASTStart start()
                               throws ParseException

      Throws:
        `ParseException`

    - #### Query

          public final void Query()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Limit

          public final void Limit()
                           throws ParseException

      Throws:
        `ParseException`

    - #### LogicExpression

          public final void LogicExpression()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### OrderByExpression

          public final void OrderByExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### OrderByField

          public final void OrderByField()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### OrderType

          public final void OrderType()
                               throws ParseException

      Throws:
        `ParseException`

    - #### ORExpression

          public final void ORExpression()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### ANDExpression

          public final void ANDExpression()
                                   throws ParseException

      Throws:
        `ParseException`

    - #### CompareExpression

          public final void CompareExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### Equal

          public final void Equal()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Like

          public final void Like()
                          throws ParseException

      Throws:
        `ParseException`

    - #### LessExpression

          public final void LessExpression()
                                    throws ParseException

      Throws:
        `ParseException`

    - #### GreaterExpression

          public final void GreaterExpression()
                                       throws ParseException

      Throws:
        `ParseException`

    - #### LEExpression

          public final void LEExpression()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### GEExpression

          public final void GEExpression()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### InExpression

          public final void InExpression()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### InValuesExpression

          public final void InValuesExpression()
                                        throws ParseException

      Throws:
        `ParseException`

    - #### Identifier

          public final void Identifier()
                                throws ParseException

      Throws:
        `ParseException`

    - #### Field

          public final void Field()
                           throws ParseException

      Throws:
        `ParseException`

    - #### Property

          public final void Property()
                              throws ParseException

      Throws:
        `ParseException`

    - #### Value

          public final void Value()
                           throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit(java.io.InputStream stream)

    - #### ReInit

          public void ReInit(java.io.InputStream stream,
                             java.lang.String encoding)

    - #### ReInit

          public void ReInit(java.io.Reader stream)

    - #### ReInit

          public void ReInit(QLParserTokenManager tm)

    - #### getNextToken

          public final Token getNextToken()

    - #### getToken

          public final Token getToken(int index)

    - #### generateParseException

          public ParseException generateParseException()

    - #### enable_tracing

          public final void enable_tracing()

    - #### disable_tracing

          public final void disable_tracing()